package cn.com.countrygarden.bi.main.service.twerp.hm;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysOrgan;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TbSysOrganService extends Service<TbSysOrgan> {

    TbSysOrgan findByOrganCode(String organCode);

    TbSysOrgan findByUserCode(String organCode);

    TbSysOrgan findByOrganName(String organName);

    /**
     * 查询所有的纯案场或者案场常规混合的区域
     *
     * @param organCode
     * @return
     */
    List<Map<String, Object>> findCaseFieldOrgans(String organCode);

    //有效的绩效区域
    List<TbSysOrgan> selectPerformanceArea();

    //所有的绩效区域
    List<TbSysOrgan> selectPerformanceAllArea();

    List<TbSysOrgan> selectPerformanceCompany();

    List<TbSysOrgan> selectPerformanceAll();

    List<TbSysOrgan> selectAll();

    //-------------三期重构-----------

    /**
     * 根据类型获取Erp库中的需要同步的地区信息
     * @param typeNo
     * @return
     */
    List<TbSysOrgan> selectAllAreaByType(String typeNo);
}
